### Signal

# SpiceClientGLib MainChannel::main-clipboard

deprecated: 0.6

#### Declaration

    void
    main_clipboard (
      SpiceMainChannel* self,
      guint type,
      gpointer data,
      guint size,
      gpointer user_data
    )

#### Description [src]

Provides guest clipboard data requested by spice_main_clipboard_request().

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Deprecated since: 0.6
Use SpiceMainChannel::main-clipboard-selection instead.

#### Parameters

`type`

  Type: `guint`

  The VD_AGENT_CLIPBOARD data type.

`data`

  Type: An array of `guint8`

  Clipboard data.

  The length of the array is specified in the `size` argument.

`size`

  Type: `guint`

  Size of `data` in bytes.